## org.jibx.runtime.impl
Interface ITrackSourceImpl

All Superinterfaces:
  ITrackSource

    public interface ITrackSourceImpl

extends ITrackSource

Unmarshalling source tracking implementation interface. This interface is added to bound classes when requested by the binding definition. It defines the method used by JiBX to add unmarshal source tracking information to an instance of a bound class.

Version:
  1.0
Author:
  Dennis M. Sosnoski

Method Summary
`void` `jibx_setSource(java.lang.String name, int line, int column)` Set source document information.

Methods inherited from interface org.jibx.runtime.ITrackSource
`jibx_getColumnNumber, jibx_getDocumentName, jibx_getLineNumber`

Method Detail

### jibx_setSource

    void jibx_setSource(java.lang.String name,
                        int line,
                        int column)

  Set source document information.

  Parameters:
    `name` - of source document, or `null` if none
    `line` - source document line number, or `-1` if unknown
    `column` - source document column position, or `-1` if unknown

Project Web Site |